<style>
     [id^=modal_add_] .selected {
        background-color: #e0f1af !important;
    }

    [id^=modal_add_] tr {
        cursor: pointer;
    } 

    .my-error{
        margin-top: 5px;
        color: #B94A48 !important;
        background-color: #F2DEDE !important;
        border: 1px solid #EED3D7 !important;
        padding: 10px;
    }    
</style>


<div class="modal fade" id="modalAddDesktop" tabindex="-1" role="dialog" aria-labelledby="modalAddDesktop" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">   
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span>
                    <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <i class="fa fa-plus fa-1x"> </i> <i class="fa fa-desktop"> </i> Add new desktop
                </h4>
            </div>

            <!-- Modal Body -->
            <div class="modal-body">
                <form id="modalAdd" class="form-horizontal"> 
                    <div class="row">
                        <div class="x_panel">
                            <div class="x_title">
                                <h4><i class="fa fa-info-circle" aria-hidden="true"></i> Desktop name and description</h4>
                                <div class="clearfix"></div>
                            </div>
                            <div class="col-md-3 col-sm-3 col-xs-12">
                                <label class="control-label" for="name">Name <span class="required">*</span></label>
                                <input id="desktop-name"  maxlength="40" pattern="^[-_àèìòùáéíóúñçÀÈÌÒÙÁÉÍÓÚÑÇ .a-zA-Z0-9]+$" data-parsley-length="[4, 40]" name="name" placeholder="New desktop name" data-parsley-trigger="change" required type="text">
                            </div>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <label class="control-label" for="description">Description </label>
                                <input id="description" name="description" placeholder="Desktop description"  type="text" style="width:100%">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel">
                                <div class="x_title">
                                    <h4><i class="fa fa-cubes" aria-hidden="true"></i> Select a template as base for your new desktop</h4>
                                    <div class="clearfix"></div>
                                </div>
                                <input  id="template" name="template" type="hidden" required>
                                <table id="modal_add_desktops" class="table table-hover" cellspacing="0" style="margin-top: 0px;" width="100%" >
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>Description</th>
                                            <th>Group</th>
                                            <th>User</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                                <div id="datatables-error-status"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel"  id="hardware-block" style="display: none;">
                                <div class="x_title">
                                    <h4><i class="fa fa-gear" aria-hidden="true"></i> Hardware</h4>
                                    <div class="clearfix"></div>
                                </div>
                                {% include '/snippets/domain_hardware_edit.html' %}
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <!-- Modal Footer -->
            <div class="modal-footer">
                <ul class="nav navbar-left panel_toolbox">
                    <li><button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button></li>
                </ul>
                <ul class="nav navbar-right panel_toolbox">
                    <li><button id="btn-hardware" type="button" class="btn btn-info" style="display: none;">Set hardware</button></li>
                    <li><button id="send" type="button" class="btn btn-success">Create desktop</button></li>
                </ul>
            </div>
        </div>
    </div>
</div>



<div class="modal fade" id="modalEditDesktop" tabindex="-1" role="dialog" aria-labelledby="modalEditDesktop" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">   
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span>
                    <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <i class="fa fa-edit fa-1x"> </i> <i class="fa fa-desktop"> </i> Edit desktop
                </h4>
            </div>
            
            <!-- Modal Body -->
            <div class="modal-body" style="padding: 7px;">
                
                <form id="modalEdit" class="form-inline form-label-left"> 
                    <div class="x_panel">
                        <div class="x_title">
                            <h4><i class="fa fa-info-circle" aria-hidden="true"></i> Desktop name and description</h4>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <input id="id" name="id" hidden/>
                            <input type="hidden" id="name" name="name"/>
                            <div class="row">
                                <div class="col-md-4 col-xs-12">
                                    <label class="control-label" for="name">Name <span class="required">*</span>
                                    </label>
                                    <input id="name_hidden" disabled maxlength="40" pattern="^[-_àèìòùáéíóúñçÀÈÌÒÙÁÉÍÓÚÑÇ .a-zA-Z0-9]+$" data-parsley-length="[4, 40]" name="name" placeholder="New desktop name" data-parsley-trigger="change" required type="text" style="width:100%">
                                </div>
                                <div class="col-md-8 col-xs-12">
                                    <label class="control-label" for="description">Description 
                                    </label>
                                    <input id="description" name="description" placeholder="Desktop description"  type="text" style="width:100%">
                                </div>
                            </div>
                        </div>
                    </div>
  
  
                <div class="x_panel">
                    <div class="item form-group">
                        <label class="control-label col-md-6 col-sm-6 col-xs-12" for="options-viewers-spice-fullscreen">Options
                        </label>
                        <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="checkbox">
                            <label class="">
                            <div class="icheckbox_flat-green" style="position: relative;">
                                <input type="checkbox" id="options-viewers-spice-fullscreen" name="options-viewers-spice-fullscreen" class="flat capabilities_hypervisor"  style="position: absolute; opacity: 0;">
                                <ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255); border: 0px; opacity: 0;">
                                </ins>
                            </div>
                                Start SPICE viewer in fullscreen mode
                            </label>
                        </div> 
                        </div>
                    </div>
                </div> 
  
              
                <div class="x_panel" id="hardware-block">
                    <div class="x_content">
                        <div class="x_title">
                            <h4><i class="fa fa-gear" aria-hidden="true"></i> Hardware</h4>
                            <div class="clearfix"></div>
                        </div>
                        {% include '/snippets/domain_hardware_edit.html' %}
                    </div>
                </div>
  
                <div id="media-block">
                      {% include '/snippets/media.html' %}
                </div>
                </form>
                
              </div>
            <!-- Modal Footer -->
            <div class="modal-footer">
                <ul class="nav navbar-left panel_toolbox">
                    <li><button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button></li>
                </ul>
                <ul class="nav navbar-right panel_toolbox">
                    <li><button id="send" type="button" class="btn btn-success">Modify desktop</button></li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalJumperurl" tabindex="-1" role="dialog" aria-labelledby="modalJumperurl" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span>
                    <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <i class="fa fa-plus fa-1x"></i> Direct viewer access <i class="fa fa-key"></i>
                </h4>
            </div>
 
            <!-- Modal Body -->
            <div class="modal-body">
                <form id="modalJumperurlForm" class="form-horizontal">
                    <div class="x_panel">
                        <div class="x_content">
                            <input id="id" name="id" hidden ></input>
                            <div class="item form-group">
                                <label class="control-label col-md-6 col-sm-6 col-xs-12" for="jumperurl-check">
                                    Enable direct viewer access
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <div class="checkbox">
                                        <label class="">
                                            <div class="icheckbox_flat-green">
                                                <input type="checkbox" id="jumperurl-check" name="jumperurl-check" class="flat"  style="position: absolute; opacity: 0;">
                                                <ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255); border: 0px; opacity: 0;">
                                                </ins>
                                            </div>
                                        </label>
                                    </div>                               
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-8 col-sm-8 col-xs-12">
                                    <input id="jumperurl" class="form-control roundbox" name="jumperurl" style="width:100%; " placeholder="Viewer url" disabled />
                                </div>
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <button class="btn btn-info pull-right btn-copy-jumperurl" type="button"  data-placement="top"><i class="fa fa-clipboard" ></i> Copy to clipboard</button>
                                </div>                                                                        
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <!-- Modal Footer -->
            <div class="modal-footer">
                <ul class="nav navbar-left panel_toolbox">
                    <li>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalTemplateDesktop" tabindex="-1" role="dialog" aria-labelledby="modalTemplateDesktop" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">   
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span>
                    <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <i class="fa fa-desktop"> </i> <i class="fa fa-long-arrow-right fa-1x"> </i> <i class="fa fa-cube"> </i> Convert Desktop to Template
                </h4>
            </div>
            
            <!-- Modal Body -->
            <div class="modal-body">
                <form id="modalTemplateDesktopForm" class="form-horizontal form-label-left" novalidate>
                    <div class="x_panel">
                        <div class="x_title">
                            <h4><i class="fa fa-cubes"></i> Template Properties</h4>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <input id="id" name="id" class="template-id" hidden ></input>
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <label class="control-label" for="name">Template name <span class="required">*</span>
                                    </label>
                                    <input id="template-name" class="form-control template-name" maxlength="60" pattern="^[-_àèìòùáéíóúñçÀÈÌÒÙÁÉÍÓÚÑÇ .a-zA-Z0-9]+$" data-parsley-length="[4, 60]" name="name" placeholder="New template name" data-parsley-trigger="change" required type="text">
                                </div>
                                <input id="kind" name="kind" class="template-kind" hidden value="template" ></input>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <label class="control-label" for="description">Template description
                                    </label>
                                    <textarea id="description" name="description" class="form-control col-md-7 col-xs-12 template-description"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="x_panel">
                        <div class="x_title">
                            <h4>Options</h4>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <div class="row">
                                <div class="col-md-2 col-xs-2">
                                    <label class="control-label" for="enabled-template">
                                        Enabled
                                        <div class="icheckbox_flat-green" style="position: relative;">
                                            <input type="checkbox" id="enabled" name="enabled" class="flat" style="position: absolute; opacity: 0;">
                                            <ins class="iCheck-helper" style="position: absolute; top: 0%; left: 0%; display: block; width: 100%; height: 100%; margin: 0px; padding: 0px; background: rgb(255, 255, 255); border: 0px; opacity: 0;">
                                            </ins>
                                        </div>
                                    </label>
                                </div>
                                <input id="kind" name="kind" class="template-kind" hidden value="template" ></input>
                            </div>
                        </div>
                    </div>
                    <div id="alloweds-add">
                    {% include '/snippets/alloweds_add.html' %}
                    </div>
				    <div class="x_panel" >
                        <div class="x_title">
                            <h4><i class="fa fa-gear"></i> Hardware<small></small></h4>
                            <ul class="nav navbar-right panel_toolbox">
                                <li class="pull-right"><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            {% include '/snippets/domain_hardware_edit.html' %}
                        </div>
				    </div>
                    <div id="media-block">
                        {% include '/snippets/media.html' %}
                    </div>              
                </form>
            </div>
            <!-- Modal Footer -->
            <div class="modal-footer">
                <ul class="nav navbar-left panel_toolbox">
                    <li><button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button></li>
                </ul>
                <ul class="nav navbar-right panel_toolbox">
                    <li><button id="send" type="button" class="btn btn-success">Convert current desktop to template and create a new desktop</button></li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalShowInfo" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">   
                <button type="button" class="close" data-dismiss="modal">
                       <span aria-hidden="true">&times;</span>
                       <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <i class="fa fa-file-code-o fa-1x"> </i> Info
                </h4>
            </div>
            
            <!-- Modal Body -->
            <div class="modal-body">
              <form id="modalShowInfoForm" class="form-horizontal form-label-left">
                    <input  id="id" name="id" type="hidden" required>
                     <div class="item form-group">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                           <textarea class="form-control" rows="30" id="xml"></textarea>
                        </div>
                     </div>
                </form>
            </div>
            <!-- Modal Footer -->
            <div class="modal-footer">
                <ul class="nav navbar-right panel_toolbox">
                    <li><button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button></li>
                </ul>
            </div>
        </div>
    </div>
</div>
